Developers

Retrieve notes list

GET
/crm/notes

Retrieve notes list

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

search?string
order[name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[deadline]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[createdAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[updatedAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[contractor.fullName]?string
Default"asc"

Value in

  • "asc"
  • "desc"
id[]?array<string>
status?string
status[]?array<string>
contractor?string
contractor[]?array<string>
assignedUser?string
assignedUser[]?array<string>
deadline[before]?string
deadline[strictly_before]?string
deadline[after]?string
deadline[strictly_after]?string

Response Body

curl -X GET "https://example.com/crm/notes"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "content": "string",    "name": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "isExternal": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": false,      "phoneNumber": "string",      "jobPositionName": "string"    },    "deadline": "2019-08-24T14:15:22Z",    "contractor": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "fullName": "string",      "pictureSm": "string",      "pictureLg": "string",      "email": "string",      "phoneNumber": "string",      "defaultLocation": "string",      "shortCode": "string",      "canManage": false,      "vatId": "string",      "attendants": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "email": "string",          "pictureSm": "string",          "pictureLg": "string"        }      ],      "industryBranches": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      ],      "tags": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      ],      "customFields": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "valueId": "b772d050-4ba4-443b-8ca7-cc1e42bdd731",          "name": "string",          "description": "string",          "dataType": "text",          "valueText": "string",          "valueFloat": "string",          "valueDateTime": "2019-08-24T14:15:22Z",          "valueSelectOptions": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "value": "string",              "weight": 0,              "decorator": "#78909c"            }          ],          "valueSelectUsers": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "firstName": "string",              "lastName": "string",              "email": "string",              "pictureSm": "string"            }          ],          "valueDepartment": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string"          }        }      ]    },    "status": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "decorator": "#78909c"    },    "assignedUser": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "isExternal": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": false,      "phoneNumber": "string",      "jobPositionName": "string"    }  }]